Subject: RE: MPLS and fast reroute.

From: [email-masked]
Date: Thu, 8 Jun 2000 22:37:43 +0100

Hi Curtis,

Agreed if one owns all network instrastructure 'to the duct' (and even then
one need very good records of the client/server trail
relationships).......but what if the L1 (ie Sonet) was a leased connection
for some other operator?  Now one does not know whether L1 protection exists
or not.  So what do you do now?

Neil

> -----Original Message-----
> From:	Curtis Villamizar [SMTP:[email-masked]]
> Sent:	Thursday, June 08, 2000 4:12 PM
> To:	[email-masked]
> Cc:	[email-masked]; [email-masked]
> Subject:	Re: MPLS and fast reroute. 
> 
> 
> In message
> <[email-masked]>, nei
> [email-masked] writes:
> > This assumes one has already defined all failures and consequent
> actions.  I
> > see at least 4 possibilities, none of which are clearly defined anyway
> in
> > terms of entry/exit criteria and consequent actions (signalling for
> prot-sw
> > being but just 1 aspect):
> > -	simple LSP connectivity break......sourced from server layer or from
> > MPLS layer
> > -	swapped LSPs
> > -	mismerged (different) LSPs
> > -	self-mismerged LSPs (aka looping)
> > 
> > Warning - L1 networks can experience significant error events and then
> > recover.  So one can do more harm than good by prot-sw too soon.  If
> your
> > detection scheme and prot-sw are above L1 then anything much less than
> 2-3s
> > may not be very sensible.
> > 
> > neil 
> 
> 
> I think most people planning to use local protect plan to use either
> MPLS local protect or SONET APS but not both.  The benefit of MPLS
> local protect is that it doesn't require reserving 1/2 capacity for
> protect circuits and can be applied to a subset of traffic (those
> paying for better service).  Another means of protection is in the
> OXC.  I don't think anyone plans to use more than one sub-100ms
> protection scheme at the same time as they would interact.
> 
> People planning to use both at the same time can please correct me.
> 
> Curtis

---

From: Yangguang Xu <[email-masked]>
Date: Thu, 08 Jun 2000 21:49:36 -0400

I think whether L1 protection exists or not should be know, because the price is
different.

Yangguang

---

From: Robert M Matheson <[email-masked]>
Date: Fri, 09 Jun 2000 10:52:58 +0100

Surely when a connection is leased there will be an associated service level
agreement; it is then up to the provider of the connection to do whatever they deem
necessary to meet that agreement, which could include L1 protection. Decisions about
whether higher layer protection is required are then based on that service level
agreement, rather than on what is being used to achieve that level of service??

Robert

---

From: Curtis Villamizar <[email-masked]>
Date: Fri, 09 Jun 2000 09:31:10 -0400

> or not.  So what do you do now?

When you lease large amounts of bandwidth you get to ask questions
like whether it is dark or lit, one lambda or the whole spectrum.  At
lower speeds you get to ask if it is SONET APS or not.  For the kind
of money you're paying you have a right to ask.  At still lower speeds
maybe you don't know.

If you don't know whether you have L1 protect, you can keeep MPLS
protection time threshholds short and maybe avoid using a L1 protected
link that can back very quickly, or you can set MPLS protection time
threshholds longer assuming you might have L1 protection and risk
prolonging an outage.

Which decision you make in the face of uncertainty is a tough question
no matter what the context of the question and the answer depends on
probability of one or the other outcome and relative severity of
guessing wrong for a particular situation (service class in this case).

Curtis

---

From: Mark Stewart <[email-masked]>
Date: Fri, 09 Jun 2000 10:45:52 -0400

There is no doubt that a carrier should make it clear what levels of APS apply,
unfortunately this information is not allways readily accesable to those with a
need or desire to know.

Ciao

Mark Stewart